diff -Nru sogo-5.0.1/SoObjects/Mailer/SOGoMailBodyPart.m sogo-5.2.0/SoObjects/Mailer/SOGoMailBodyPart.m
--- sogo-5.0.1/SoObjects/Mailer/SOGoMailBodyPart.m	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SoObjects/Mailer/SOGoMailBodyPart.m	2021-08-18 21:35:57.000000000 +0200
@@ -157,8 +157,7 @@
 {
   if (!partInfo)
     {
-      partInfo
-	= [[self mailObject] lookupInfoForBodyPart: [self bodyPartPath]];
+      partInfo = [[self mailObject] lookupInfoForBodyPart: [self bodyPartPath]];
       [partInfo retain];
     }
 
@@ -546,7 +545,7 @@
     return self;
   
   /* hard coded for now */
-  
+
   switch ([pe length]) {
   case 3:
     if ([pe isEqualToString:@"gif"] ||
@@ -588,6 +587,8 @@
     classString = @"SOGoVCardMailBodyPart";
   else if ([mimeType isEqualToString: @"message/rfc822"])
     classString = @"SOGoMessageMailBodyPart";
+  else if ([mimeType isEqualToString: @"application/ms-tnef"])
+    classString = @"SOGoTNEFMailBodyPart";
   else
     {
       classString = @"SOGoMailBodyPart";
diff -Nru sogo-5.0.1/SoObjects/Mailer/SOGoMailBulgarianForward.wo/SOGoMailBulgarianForward.wod sogo-5.2.0/SoObjects/Mailer/SOGoMailBulgarianForward.wo/SOGoMailBulgarianForward.wod
--- sogo-5.0.1/SoObjects/Mailer/SOGoMailBulgarianForward.wo/SOGoMailBulgarianForward.wod	1970-01-01 01:00:00.000000000 +0100
+++ sogo-5.2.0/SoObjects/Mailer/SOGoMailBulgarianForward.wo/SOGoMailBulgarianForward.wod	2021-08-18 21:35:57.000000000 +0200
@@ -0,0 +1,88 @@
+subject: WOString {
+  value = subject;
+  escapeHTML = NO;
+}
+
+date: WOString {
+  value = date;
+  escapeHTML = NO;
+}
+
+from: WOString {
+  value = from;
+  escapeHTML = NO;
+}
+
+newLine: WOString {
+  value = newLine;
+  escapeHTML = NO;
+}
+
+hasReplyTo: WOConditional {
+  condition = hasReplyTo;
+}
+
+replyTo: WOString {
+  value = replyTo;
+  escapeHTML = NO;
+}
+
+hasOrganization: WOConditional {
+  condition = hasOrganization;
+}
+
+organization: WOString {
+  value = organization;
+  escapeHTML = NO;
+}
+
+to: WOString {
+  value = to;
+  escapeHTML = NO;
+}
+
+hasCc: WOConditional {
+  condition = hasCc;
+}
+
+cc: WOString {
+  value = cc;
+  escapeHTML = NO;
+}
+
+hasNewsGroups: WOConditional {
+  condition = hasNewsGroups;
+}
+
+newsgroups: WOString {
+  value = newsgroups;
+  escapeHTML = NO;
+}
+
+hasReferences: WOConditional {
+  condition = hasReferences;
+}
+
+references: WOString {
+  value = references;
+  escapeHTML = NO;
+}
+
+messageBody: WOString {
+  value = messageBody;
+  escapeHTML = NO;
+}
+
+signature: WOString {
+  value = signature;
+  escapeHTML = NO;
+}
+
+signaturePlacementOnTop: WOConditional {
+  condition = signaturePlacementOnTop;
+}
+
+signaturePlacementOnBottom: WOConditional {
+  condition = signaturePlacementOnTop;
+  negate = YES;
+}
diff -Nru sogo-5.0.1/SoObjects/Mailer/SOGoMailBulgarianReply.wo/SOGoMailBulgarianReply.wod sogo-5.2.0/SoObjects/Mailer/SOGoMailBulgarianReply.wo/SOGoMailBulgarianReply.wod
--- sogo-5.0.1/SoObjects/Mailer/SOGoMailBulgarianReply.wo/SOGoMailBulgarianReply.wod	1970-01-01 01:00:00.000000000 +0100
+++ sogo-5.2.0/SoObjects/Mailer/SOGoMailBulgarianReply.wo/SOGoMailBulgarianReply.wod	2021-08-18 21:35:57.000000000 +0200
@@ -0,0 +1,106 @@
+outlookMode: WOConditional {
+  condition = outlookMode;
+}
+
+standardMode: WOConditional {
+  condition = outlookMode;
+  negate = YES;
+}
+
+subject: WOString {
+  value = subject;
+  escapeHTML = NO;
+}
+
+date: WOString {
+  value = date;
+  escapeHTML = NO;
+}
+
+from: WOString {
+  value = from;
+  escapeHTML = NO;
+}
+
+newLine: WOString {
+  value = newLine;
+  escapeHTML = NO;
+}
+
+hasReplyTo: WOConditional {
+  condition = hasReplyTo;
+}
+
+replyTo: WOString {
+  value = replyTo;
+  escapeHTML = NO;
+}
+
+hasOrganization: WOConditional {
+  condition = hasOrganization;
+}
+
+organization: WOString {
+  value = organization;
+  escapeHTML = NO;
+}
+
+to: WOString {
+  value = to;
+  escapeHTML = NO;
+}
+
+hasCc: WOConditional {
+  condition = hasCc;
+}
+
+cc: WOString {
+  value = cc;
+  escapeHTML = NO;
+}
+
+hasNewsGroups: WOConditional {
+  condition = hasNewsGroups;
+}
+
+newsgroups: WOString {
+  value = newsgroups;
+  escapeHTML = NO;
+}
+
+hasReferences: WOConditional {
+  condition = hasReferences;
+}
+
+references: WOString {
+  value = references;
+  escapeHTML = NO;
+}
+
+messageBody: WOString {
+  value = messageBody;
+  escapeHTML = NO;
+}
+
+signature: WOString {
+  value = signature;
+  escapeHTML = NO;
+}
+
+replyPlacementOnTop: WOConditional {
+  condition = replyPlacementOnTop;
+}
+
+replyPlacementOnBottom: WOConditional {
+  condition = replyPlacementOnTop;
+  negate = YES;
+}
+
+signaturePlacementOnTop: WOConditional {
+  condition = signaturePlacementOnTop;
+}
+
+signaturePlacementOnBottom: WOConditional {
+  condition = signaturePlacementOnTop;
+  negate = YES;
+}
diff -Nru sogo-5.0.1/SoObjects/Mailer/SOGoMailFolder.h sogo-5.2.0/SoObjects/Mailer/SOGoMailFolder.h
--- sogo-5.0.1/SoObjects/Mailer/SOGoMailFolder.h	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SoObjects/Mailer/SOGoMailFolder.h	2021-08-18 21:35:57.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (C) 2009-2014 Inverse inc.
+  Copyright (C) 2009-2021 Inverse inc.
   Copyright (C) 2004-2005 SKYRIX Software AG
 
   This file is part of SOGo
@@ -91,6 +91,8 @@
 
 - (BOOL) ensureTrashFolder;
 
+- (NSException *) unsubscribe;
+
 - (NSException *) expunge;
 
 - (NSException *) renameTo: (NSString *) newName;
@@ -103,7 +105,14 @@
                           matchingSyncToken: (NSString *) theSyncToken
                                    fromDate: (NSCalendarDate *) theStartDate
                                 initialLoad: (BOOL) initialLoadInProgress;
-/* flags */
+- (NSArray *) syncTokenFieldsWithProperties: (NSDictionary *) theProperties
+                          matchingSyncToken: (NSString *) theSyncToken
+                                   fromDate: (NSCalendarDate *) theStartDate
+                                initialLoad: (BOOL) initialLoadInProgress
+                               sortOrdering: (id) theSortOrdering
+                                   threaded: (BOOL) isThreaded;
+
+  /* flags */
 
 - (NSException *) addFlagsToAllMessages: (id) _f;
 
diff -Nru sogo-5.0.1/SoObjects/Mailer/SOGoMailFolder.m sogo-5.2.0/SoObjects/Mailer/SOGoMailFolder.m
--- sogo-5.0.1/SoObjects/Mailer/SOGoMailFolder.m	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SoObjects/Mailer/SOGoMailFolder.m	2021-08-18 21:35:57.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (C) 2009-2019 Inverse inc.
+  Copyright (C) 2009-2021 Inverse inc.
   Copyright (C) 2004-2005 SKYRIX Software AG
 
   This file is part of SOGo.
@@ -301,8 +301,7 @@
 {
   NSException *error;
   SOGoMailFolder *inbox;
-  NSURL *destURL;
-  NSString *path, *newName;
+  NSString *path, *newName, *destName;
   NGImap4Client *client;
 
   if ([theNewName length] > 0)
@@ -324,22 +323,16 @@
 
 	  // If new name contains the path - dont't need to add
           if ([newName rangeOfString: @"/"].location == NSNotFound)
-            destURL = [[NSURL alloc] initWithScheme: [imap4URL scheme]
-                                               host: [imap4URL host]
-                                               path: [NSString stringWithFormat: @"%@%@",
-                                                               path, newName]];
+            destName = [NSString stringWithFormat: @"%@%@",
+                                 path, newName];
           else
-            destURL = [[NSURL alloc] initWithScheme: [imap4URL scheme]
-                                               host: [imap4URL host]
-                                               path: [NSString stringWithFormat: @"%@",
-                                                               newName]];
-          [destURL autorelease];
-          error = [imap4 moveMailboxAtURL: imap4URL
-                                    toURL: destURL];
+            destName = newName;
+          error = [imap4 moveMailbox: [imap4URL path]
+                                  to: destName];
           if (!error)
             {
               // We unsubscribe to the old one, and subscribe back to the new one
-              [client subscribe: [destURL path]];
+              [client subscribe: destName];
               [client unsubscribe: [imap4URL path]];
 
               ASSIGN (imap4URL, nil);
@@ -1221,6 +1214,20 @@
   return error;
 }
 
+- (NSException *) unsubscribe
+{
+  NSException *error = nil;
+
+  if ([self imap4Connection])
+    [[imap4 client] unsubscribe: [[self imap4URL] path]];
+  else
+    error = [NSException exceptionWithName: @"SOGoMailException"
+                                    reason: @"IMAP connection is invalid"
+                                  userInfo: nil];
+
+  return error;
+}
+
 - (NSException *) davMoveToTargetObject: (id) _target
 				newName: (NSString *) _name
 			      inContext: (id)_ctx
@@ -2253,6 +2260,21 @@
                                    fromDate: (NSCalendarDate *) theStartDate
                                 initialLoad: (BOOL) initialLoadInProgress
 {
+  return [self syncTokenFieldsWithProperties: theProperties
+                           matchingSyncToken: theSyncToken
+                                    fromDate: theStartDate
+                                 initialLoad: initialLoadInProgress
+                                sortOrdering: nil
+                                    threaded: NO];
+}
+
+- (NSArray *) syncTokenFieldsWithProperties: (NSDictionary *) theProperties
+                          matchingSyncToken: (NSString *) theSyncToken
+                                   fromDate: (NSCalendarDate *) theStartDate
+                                initialLoad: (BOOL) initialLoadInProgress
+                               sortOrdering: (id) theSortOrdering
+                                   threaded: (BOOL) isThreaded
+{
   EOQualifier *searchQualifier;
   NSMutableArray *allTokens;
   NSArray *a, *uids;
@@ -2309,17 +2331,19 @@
 
   // we fetch modified or added uids
   uids = [self fetchUIDsMatchingQualifier: searchQualifier
-                             sortOrdering: nil];
+                             sortOrdering: theSortOrdering];
 
   fetchResults = [(NSDictionary *)[self fetchUIDs: uids
                                             parts: [NSArray arrayWithObjects: @"modseq", @"flags", nil]]
                      objectForKey: @"fetch"];
   
-  /* NOTE: we sort items manually because Cyrus does not properly sort
-     entries with a MODSEQ of 0 */
-  fetchResults
-    = [fetchResults sortedArrayUsingFunction: _compareFetchResultsByMODSEQ
-                                     context: NULL];
+  if (theSortOrdering == nil)
+    {
+      /* NOTE: we sort items manually because Cyrus does not properly sort
+         entries with a MODSEQ of 0 */
+      fetchResults = [fetchResults sortedArrayUsingFunction: _compareFetchResultsByMODSEQ
+                                                    context: NULL];
+    }
 
   for (i = 0; i < [fetchResults count]; i++)
     { 
diff -Nru sogo-5.0.1/SoObjects/Mailer/SOGoMailForward.h sogo-5.2.0/SoObjects/Mailer/SOGoMailForward.h
--- sogo-5.0.1/SoObjects/Mailer/SOGoMailForward.h	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SoObjects/Mailer/SOGoMailForward.h	2021-08-18 21:35:57.000000000 +0200
@@ -30,7 +30,7 @@
   SOGoMailObject *sourceMail;
   NSString *field;
   NSString *currentValue;
-  BOOL htmlComposition;
+  BOOL htmlComposition, forceDefaultIdentity;
   NSString *signaturePlacement;
 }
 
@@ -46,6 +46,9 @@
 @interface SOGoMailBrazilianPortugueseForward : SOGoMailForward
 @end
 
+@interface SOGoMailBulgarianForward : SOGoMailForward
+@end
+
 @interface SOGoMailCatalanForward : SOGoMailForward
 @end
 
@@ -106,6 +109,9 @@
 @interface SOGoMailMacedonianForward : SOGoMailForward
 @end
 
+@interface SOGoMailMontenegrinForward : SOGoMailForward
+@end
+
 @interface SOGoMailNorwegianBokmalForward : SOGoMailForward
 @end
 
@@ -127,6 +133,9 @@
 @interface SOGoMailSerbianForward : SOGoMailForward
 @end
 
+@interface SOGoMailSerbianLatinForward : SOGoMailForward
+@end
+
 @interface SOGoMailSlovakForward : SOGoMailForward
 @end
 
diff -Nru sogo-5.0.1/SoObjects/Mailer/SOGoMailForward.m sogo-5.2.0/SoObjects/Mailer/SOGoMailForward.m
--- sogo-5.0.1/SoObjects/Mailer/SOGoMailForward.m	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SoObjects/Mailer/SOGoMailForward.m	2021-08-18 21:35:57.000000000 +0200
@@ -42,8 +42,8 @@
   if ((self = [super init]))
     {
       ud = [[context activeUser] userDefaults];
-      htmlComposition
-        = [[ud mailComposeMessageType] isEqualToString: @"html"];
+      htmlComposition = [[ud mailComposeMessageType] isEqualToString: @"html"];
+      forceDefaultIdentity = [ud mailForceDefaultIdentity];
       sourceMail = nil;
       currentValue = nil;
     }
@@ -243,23 +243,27 @@
   NSString *email, *signature, *mailSignature, *nl, *space;
   int count, max;
 
-  fromSentMailbox = [[sourceMail container] isKindOfClass: [SOGoSentFolder class]];
-  if (fromSentMailbox)
-    addresses = [sourceMail fromEnvelopeAddresses];
-  else
-    addresses = [sourceMail toEnvelopeAddresses];
   identity = nil;
   mailSignature = @"";
-  max = [addresses count];
 
-  if (max)
+  if (!forceDefaultIdentity)
     {
-      // Pick the first email matching one of the account's identities
-      for (count = 0; !identity && count < max; count++)
+      fromSentMailbox = [[sourceMail container] isKindOfClass: [SOGoSentFolder class]];
+      if (fromSentMailbox)
+        addresses = [sourceMail fromEnvelopeAddresses];
+      else
+        addresses = [sourceMail toEnvelopeAddresses];
+      max = [addresses count];
+
+      if (max)
         {
-          address = [addresses objectAtIndex: count];
-          email = [address baseEMail];
-          identity = [[sourceMail mailAccountFolder] identityForEmail: email];
+          // Pick the first email matching one of the account's identities
+          for (count = 0; !identity && count < max; count++)
+            {
+              address = [addresses objectAtIndex: count];
+              email = [address baseEMail];
+              identity = [[sourceMail mailAccountFolder] identityForEmail: email];
+            }
         }
     }
 
@@ -290,6 +294,9 @@
 @implementation SOGoMailBrazilianPortugueseForward
 @end
 
+@implementation SOGoMailBulgarianForward
+@end
+
 @implementation SOGoMailCatalanForward
 @end
 
@@ -350,6 +357,9 @@
 @implementation SOGoMailMacedonianForward
 @end
 
+@implementation SOGoMailMontenegrinForward
+@end
+
 @implementation SOGoMailNorwegianBokmalForward
 @end
 
@@ -371,6 +381,9 @@
 @implementation SOGoMailSerbianForward
 @end
 
+@implementation SOGoMailSerbianLatinForward
+@end
+
 @implementation SOGoMailSlovakForward
 @end
 
diff -Nru sogo-5.0.1/SoObjects/Mailer/SOGoMailMontenegrinForward.wo/SOGoMailMontenegrinForward.wod sogo-5.2.0/SoObjects/Mailer/SOGoMailMontenegrinForward.wo/SOGoMailMontenegrinForward.wod
--- sogo-5.0.1/SoObjects/Mailer/SOGoMailMontenegrinForward.wo/SOGoMailMontenegrinForward.wod	1970-01-01 01:00:00.000000000 +0100
+++ sogo-5.2.0/SoObjects/Mailer/SOGoMailMontenegrinForward.wo/SOGoMailMontenegrinForward.wod	2021-08-18 21:35:57.000000000 +0200
@@ -0,0 +1,88 @@
+subject: WOString {
+  value = subject;
+  escapeHTML = NO;
+}
+
+date: WOString {
+  value = date;
+  escapeHTML = NO;
+}
+
+from: WOString {
+  value = from;
+  escapeHTML = NO;
+}
+
+newLine: WOString {
+  value = newLine;
+  escapeHTML = NO;
+}
+
+hasReplyTo: WOConditional {
+  condition = hasReplyTo;
+}
+
+replyTo: WOString {
+  value = replyTo;
+  escapeHTML = NO;
+}
+
+hasOrganization: WOConditional {
+  condition = hasOrganization;
+}
+
+organization: WOString {
+  value = organization;
+  escapeHTML = NO;
+}
+
+to: WOString {
+  value = to;
+  escapeHTML = NO;
+}
+
+hasCc: WOConditional {
+  condition = hasCc;
+}
+
+cc: WOString {
+  value = cc;
+  escapeHTML = NO;
+}
+
+hasNewsGroups: WOConditional {
+  condition = hasNewsGroups;
+}
+
+newsgroups: WOString {
+  value = newsgroups;
+  escapeHTML = NO;
+}
+
+hasReferences: WOConditional {
+  condition = hasReferences;
+}
+
+references: WOString {
+  value = references;
+  escapeHTML = NO;
+}
+
+messageBody: WOString {
+  value = messageBody;
+  escapeHTML = NO;
+}
+
+signature: WOString {
+  value = signature;
+  escapeHTML = NO;
+}
+
+signaturePlacementOnTop: WOConditional {
+  condition = signaturePlacementOnTop;
+}
+
+signaturePlacementOnBottom: WOConditional {
+  condition = signaturePlacementOnTop;
+  negate = YES;
+}
diff -Nru sogo-5.0.1/SoObjects/Mailer/SOGoMailMontenegrinReply.wo/SOGoMailMontenegrinReply.wod sogo-5.2.0/SoObjects/Mailer/SOGoMailMontenegrinReply.wo/SOGoMailMontenegrinReply.wod
--- sogo-5.0.1/SoObjects/Mailer/SOGoMailMontenegrinReply.wo/SOGoMailMontenegrinReply.wod	1970-01-01 01:00:00.000000000 +0100
+++ sogo-5.2.0/SoObjects/Mailer/SOGoMailMontenegrinReply.wo/SOGoMailMontenegrinReply.wod	2021-08-18 21:35:57.000000000 +0200
@@ -0,0 +1,106 @@
+outlookMode: WOConditional {
+  condition = outlookMode;
+}
+
+standardMode: WOConditional {
+  condition = outlookMode;
+  negate = YES;
+}
+
+subject: WOString {
+  value = subject;
+  escapeHTML = NO;
+}
+
+date: WOString {
+  value = date;
+  escapeHTML = NO;
+}
+
+from: WOString {
+  value = from;
+  escapeHTML = NO;
+}
+
+newLine: WOString {
+  value = newLine;
+  escapeHTML = NO;
+}
+
+hasReplyTo: WOConditional {
+  condition = hasReplyTo;
+}
+
+replyTo: WOString {
+  value = replyTo;
+  escapeHTML = NO;
+}
+
+hasOrganization: WOConditional {
+  condition = hasOrganization;
+}
+
+organization: WOString {
+  value = organization;
+  escapeHTML = NO;
+}
+
+to: WOString {
+  value = to;
+  escapeHTML = NO;
+}
+
+hasCc: WOConditional {
+  condition = hasCc;
+}
+
+cc: WOString {
+  value = cc;
+  escapeHTML = NO;
+}
+
+hasNewsGroups: WOConditional {
+  condition = hasNewsGroups;
+}
+
+newsgroups: WOString {
+  value = newsgroups;
+  escapeHTML = NO;
+}
+
+hasReferences: WOConditional {
+  condition = hasReferences;
+}
+
+references: WOString {
+  value = references;
+  escapeHTML = NO;
+}
+
+messageBody: WOString {
+  value = messageBody;
+  escapeHTML = NO;
+}
+
+signature: WOString {
+  value = signature;
+  escapeHTML = NO;
+}
+
+replyPlacementOnTop: WOConditional {
+  condition = replyPlacementOnTop;
+}
+
+replyPlacementOnBottom: WOConditional {
+  condition = replyPlacementOnTop;
+  negate = YES;
+}
+
+signaturePlacementOnTop: WOConditional {
+  condition = signaturePlacementOnTop;
+}
+
+signaturePlacementOnBottom: WOConditional {
+  condition = signaturePlacementOnTop;
+  negate = YES;
+}
diff -Nru sogo-5.0.1/SoObjects/Mailer/SOGoMailReply.h sogo-5.2.0/SoObjects/Mailer/SOGoMailReply.h
--- sogo-5.0.1/SoObjects/Mailer/SOGoMailReply.h	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SoObjects/Mailer/SOGoMailReply.h	2021-08-18 21:35:57.000000000 +0200
@@ -45,6 +45,9 @@
 @interface SOGoMailBrazilianPortugueseReply : SOGoMailReply
 @end
 
+@interface SOGoMailBulgarianReply : SOGoMailReply
+@end
+
 @interface SOGoMailCatalanReply : SOGoMailReply
 @end
 
@@ -105,6 +108,9 @@
 @interface SOGoMailMacedonianReply : SOGoMailReply
 @end
 
+@interface SOGoMailMontenegrinReply : SOGoMailReply
+@end
+
 @interface SOGoMailNorwegianBokmalReply : SOGoMailReply
 @end
 
@@ -126,6 +132,9 @@
 @interface SOGoMailSerbianReply : SOGoMailReply
 @end
 
+@interface SOGoMailSerbianLatinReply : SOGoMailReply
+@end
+
 @interface SOGoMailSlovakReply : SOGoMailReply
 @end
 
diff -Nru sogo-5.0.1/SoObjects/Mailer/SOGoMailReply.m sogo-5.2.0/SoObjects/Mailer/SOGoMailReply.m
--- sogo-5.0.1/SoObjects/Mailer/SOGoMailReply.m	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SoObjects/Mailer/SOGoMailReply.m	2021-08-18 21:35:57.000000000 +0200
@@ -93,6 +93,9 @@
 @implementation SOGoMailBrazilianPortugueseReply
 @end
 
+@implementation SOGoMailBulgarianReply
+@end
+
 @implementation SOGoMailCatalanReply
 @end
 
@@ -153,6 +156,9 @@
 @implementation SOGoMailMacedonianReply
 @end
 
+@implementation SOGoMailMontenegrinReply
+@end
+
 @implementation SOGoMailNorwegianBokmalReply
 @end
 
@@ -174,6 +180,9 @@
 @implementation SOGoMailSerbianReply
 @end
 
+@implementation SOGoMailSerbianLatinReply
+@end
+
 @implementation SOGoMailSlovakReply
 @end
 
diff -Nru sogo-5.0.1/SoObjects/Mailer/SOGoMailSerbianLatinForward.wo/SOGoMailSerbianLatinForward.wod sogo-5.2.0/SoObjects/Mailer/SOGoMailSerbianLatinForward.wo/SOGoMailSerbianLatinForward.wod
--- sogo-5.0.1/SoObjects/Mailer/SOGoMailSerbianLatinForward.wo/SOGoMailSerbianLatinForward.wod	1970-01-01 01:00:00.000000000 +0100
+++ sogo-5.2.0/SoObjects/Mailer/SOGoMailSerbianLatinForward.wo/SOGoMailSerbianLatinForward.wod	2021-08-18 21:35:57.000000000 +0200
@@ -0,0 +1,88 @@
+subject: WOString {
+  value = subject;
+  escapeHTML = NO;
+}
+
+date: WOString {
+  value = date;
+  escapeHTML = NO;
+}
+
+from: WOString {
+  value = from;
+  escapeHTML = NO;
+}
+
+newLine: WOString {
+  value = newLine;
+  escapeHTML = NO;
+}
+
+hasReplyTo: WOConditional {
+  condition = hasReplyTo;
+}
+
+replyTo: WOString {
+  value = replyTo;
+  escapeHTML = NO;
+}
+
+hasOrganization: WOConditional {
+  condition = hasOrganization;
+}
+
+organization: WOString {
+  value = organization;
+  escapeHTML = NO;
+}
+
+to: WOString {
+  value = to;
+  escapeHTML = NO;
+}
+
+hasCc: WOConditional {
+  condition = hasCc;
+}
+
+cc: WOString {
+  value = cc;
+  escapeHTML = NO;
+}
+
+hasNewsGroups: WOConditional {
+  condition = hasNewsGroups;
+}
+
+newsgroups: WOString {
+  value = newsgroups;
+  escapeHTML = NO;
+}
+
+hasReferences: WOConditional {
+  condition = hasReferences;
+}
+
+references: WOString {
+  value = references;
+  escapeHTML = NO;
+}
+
+messageBody: WOString {
+  value = messageBody;
+  escapeHTML = NO;
+}
+
+signature: WOString {
+  value = signature;
+  escapeHTML = NO;
+}
+
+signaturePlacementOnTop: WOConditional {
+  condition = signaturePlacementOnTop;
+}
+
+signaturePlacementOnBottom: WOConditional {
+  condition = signaturePlacementOnTop;
+  negate = YES;
+}
diff -Nru sogo-5.0.1/SoObjects/Mailer/SOGoMailSerbianLatinReply.wo/SOGoMailSerbianLatinReply.wod sogo-5.2.0/SoObjects/Mailer/SOGoMailSerbianLatinReply.wo/SOGoMailSerbianLatinReply.wod
--- sogo-5.0.1/SoObjects/Mailer/SOGoMailSerbianLatinReply.wo/SOGoMailSerbianLatinReply.wod	1970-01-01 01:00:00.000000000 +0100
+++ sogo-5.2.0/SoObjects/Mailer/SOGoMailSerbianLatinReply.wo/SOGoMailSerbianLatinReply.wod	2021-08-18 21:35:57.000000000 +0200
@@ -0,0 +1,106 @@
+outlookMode: WOConditional {
+  condition = outlookMode;
+}
+
+standardMode: WOConditional {
+  condition = outlookMode;
+  negate = YES;
+}
+
+subject: WOString {
+  value = subject;
+  escapeHTML = NO;
+}
+
+date: WOString {
+  value = date;
+  escapeHTML = NO;
+}
+
+from: WOString {
+  value = from;
+  escapeHTML = NO;
+}
+
+newLine: WOString {
+  value = newLine;
+  escapeHTML = NO;
+}
+
+hasReplyTo: WOConditional {
+  condition = hasReplyTo;
+}
+
+replyTo: WOString {
+  value = replyTo;
+  escapeHTML = NO;
+}
+
+hasOrganization: WOConditional {
+  condition = hasOrganization;
+}
+
+organization: WOString {
+  value = organization;
+  escapeHTML = NO;
+}
+
+to: WOString {
+  value = to;
+  escapeHTML = NO;
+}
+
+hasCc: WOConditional {
+  condition = hasCc;
+}
+
+cc: WOString {
+  value = cc;
+  escapeHTML = NO;
+}
+
+hasNewsGroups: WOConditional {
+  condition = hasNewsGroups;
+}
+
+newsgroups: WOString {
+  value = newsgroups;
+  escapeHTML = NO;
+}
+
+hasReferences: WOConditional {
+  condition = hasReferences;
+}
+
+references: WOString {
+  value = references;
+  escapeHTML = NO;
+}
+
+messageBody: WOString {
+  value = messageBody;
+  escapeHTML = NO;
+}
+
+signature: WOString {
+  value = signature;
+  escapeHTML = NO;
+}
+
+replyPlacementOnTop: WOConditional {
+  condition = replyPlacementOnTop;
+}
+
+replyPlacementOnBottom: WOConditional {
+  condition = replyPlacementOnTop;
+  negate = YES;
+}
+
+signaturePlacementOnTop: WOConditional {
+  condition = signaturePlacementOnTop;
+}
+
+signaturePlacementOnBottom: WOConditional {
+  condition = signaturePlacementOnTop;
+  negate = YES;
+}
diff -Nru sogo-5.0.1/SoObjects/Mailer/SOGoTNEFMailBodyPart.h sogo-5.2.0/SoObjects/Mailer/SOGoTNEFMailBodyPart.h
--- sogo-5.0.1/SoObjects/Mailer/SOGoTNEFMailBodyPart.h	1970-01-01 01:00:00.000000000 +0100
+++ sogo-5.2.0/SoObjects/Mailer/SOGoTNEFMailBodyPart.h	2021-08-18 21:35:57.000000000 +0200
@@ -0,0 +1,53 @@
+/*
+  Copyright (C) 2021 Inverse inc.
+
+  This file is part of SOGo.
+
+  SOGo is free software; you can redistribute it and/or modify it under
+  the terms of the GNU Lesser General Public License as published by the
+  Free Software Foundation; either version 2, or (at your option) any
+  later version.
+
+  SOGo is distributed in the hope that it will be useful, but WITHOUT ANY
+  WARRANTY; without even the implied warranty of MERCHANTABILITY or
+  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
+  License for more details.
+
+  You should have received a copy of the GNU Lesser General Public
+  License along with SOGo; see the file COPYING.  If not, write to the
+  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
+  02111-1307, USA.
+*/
+
+#ifndef __Mailer_SOGoTNEFMailBodyPart_H__
+#define __Mailer_SOGoTNEFMailBodyPart_H__
+
+#import "SOGoMailBodyPart.h"
+
+@class NGMimeBodyPart;
+
+@interface SOGoTNEFMailBodyPart : SOGoMailBodyPart
+{
+  BOOL debugOn;
+  NSData *part;
+  NSString *filename;
+  NGMimeMultipartBody *bodyParts;
+}
+
+- (NGMimeMultipartBody *) bodyParts;
+- (void) setFilename: (NSString *) newFilename;
+- (void) setPart: (NGMimeBodyPart *) newPart;
+- (void) setPartInfo: (id) newPartInfo;
+- (void) decodeBLOB;
+- (NGMimeBodyPart *) bodyPartForData: (NSData *)   _data
+                            withType: (NSString *) _type
+                          andSubtype: (NSString *) _subtype;
+- (NGMimeBodyPart *) bodyPartForAttachment: (NSData *)   _data
+                                  withName: (NSString *) _name
+                                   andType: (NSString *) _type
+                                andSubtype: (NSString *) _subtype
+                              andContentId: (NSString *) _cid;
+
+@end
+
+#endif /* __Mailer_SOGoTNEFMailBodyPart_H__ */
